﻿<?xml version="1.0" encoding="utf-8"?>
<html xmlns:MadCap="http://www.madcapsoftware.com/Schemas/MadCap.xsd">
    <head>
        <link href="../Resources/TableStyles/Default-Table.css" rel="stylesheet" MadCap:stylesheetType="table" /><title>Understanding the Merged and Non-Merged View of Analytics </title>
        <link href="../Resources/Stylesheets/Styles.css" rel="stylesheet" type="text/css" />
    </head>
    <body>
        <h1>Understanding the Merged and Non-Merged View of Analytics </h1>
        <h2 id="MergedViewandNon-MergedViewComparison-ExistingFeaturesCombinedforMergedInterface">Existing Features Combined for Merged Interface</h2>
        <p><b>Query Options</b>
        </p>
        <p>The following four types of query options that are used for creating an Analytics report are available in a single pop-up window:</p>
        <ul>
            <li>
                <p><strong>Using SQL Query</strong> – Creates an Analytics report based on the specified SQL query.</p>
            </li>
            <li>
                <p><strong>Runtime Analytics</strong> – Creates an Analytics report based on the specified SQL query which also provides us ability to use dynamic attributes defined at run-time.</p>
            </li>
        </ul>
        <ul>
            <li>
                <p><strong>Custom Analytics Control</strong> - Creates an Analytics report based on customized columns and objects.</p>
            </li>
            <li>
                <p><strong>Using Elasticsearch Query</strong> – Creates an Analytics report based on the specified Elasticsearch query.</p>
                <p>
                    <img src="../Resources/Images/Query Options.png" />
                </p>
                <p>Figure: Query options</p>
            </li>
        </ul>
        <p><strong>Single Configurations List</strong>
        </p>
        <p>A single UI page/option is displayed when you perform the following actions: </p>
        <ul>
            <li>
                <p>View list of configured Analytics controls</p>
            </li>
        </ul>
        <p>
            <img src="../Resources/Images/analytics configuration list.png" style="width: 671px;height: 229px;border-left-style: solid;border-left-width: 1px;border-right-style: solid;border-right-width: 1px;border-top-style: solid;border-top-width: 1px;border-bottom-style: solid;border-bottom-width: 1px;" />
            <br />Figure: Analytics Configurations</p>
        <p>The <strong>Version 1</strong> and the <strong>Version 2 </strong>pages under <strong>Analytics Configuration List</strong> page are combined in a single page named as <strong>Analytics Configuration List</strong> page.</p>
        <ul>
            <li>
                <p>Run an Analytics job</p>
            </li>
        </ul>
        <p>
            <img src="../Resources/Images/Jobs listed in Flat Job Control View.png" style="border-left-style: solid;border-left-width: 1px;border-right-style: solid;border-right-width: 1px;border-top-style: solid;border-top-width: 1px;border-bottom-style: solid;border-bottom-width: 1px;" />
        </p>
        <p>Figure: Jobs listed in Flat Job Control View</p>
        <p>
            <img src="../Resources/Images/Jobs listed in Classic Job Control View.jpg" style="border-left-style: solid;border-left-width: 1px;border-right-style: solid;border-right-width: 1px;border-top-style: solid;border-top-width: 1px;border-bottom-style: solid;border-bottom-width: 1px;" />
        </p>
        <p>Figure: Jobs listed in Classic Job Control View<br /><br />The <strong>Run all Analytics-v2 (AnalyticsESJob)</strong> and <strong>Run all Analytics-v1 (ANALYTICSJOB)</strong> options are combined under a single option named as the <strong>RunAllAnalyticsJob </strong>option. <br />For more information, see <MadCap:xref href="Run-All-ES-Based-Analytic-Controls.htm">Run All ES Based Analytic Controls</MadCap:xref> and <MadCap:xref href="Run-All-Analytics-from-Analytics-Configuration.htm">Run All Analytics from Analytics Configuration</MadCap:xref>.</p>
        <ul>
            <li>
                <p>Provide access to a SAV Role to view the associated Analytics controls' history data. When any analytics controls are assigned to SAV Roles, non-admin users (users who are part of non-admin sav roles) will be able to view only their respective analytics history.  </p>
            </li>
        </ul>
        <p>
            <img src="../Resources/Images/SAV Role_Analytics.png" style="width: 700px;height: 300px;border-left-style: solid;border-left-width: 1px;border-right-style: solid;border-right-width: 1px;border-top-style: solid;border-top-width: 1px;border-bottom-style: solid;border-bottom-width: 1px;" />
        </p>
        <p>Figure: Role Analytics<br />The <strong>Analytics</strong> and <strong>ES Based Analytics</strong> pages are combined in a single page named as <strong>Analytics</strong>.</p>
        <h2 id="MergedViewandNon-MergedViewComparison-NewFeaturesAddedinMergedInterface">New Features Added in Merged Interface</h2>
        <p>The Merged Interface provides the following additional features:</p>
        <ul>
            <li>
                <p> Specify or modify report’s display name.</p>
            </li>
            <li>
                <p> Choose the <strong>Attribute Type</strong> as <strong>DATE</strong> while defining dynamic attributes at run-time.</p>
            </li>
            <li>
                <p> Choose the <strong>Attribute Type</strong> as <strong>Single Select from SQL Query</strong> and specify an SQL query at run time.</p>
            </li>
            <li>
                <p>Multiple options to save the Analytics report,</p>
                <ul>
                    <li>
                        <p>As an email message</p>
                    </li>
                    <li>
                        <p>To an Elasticsearch server or to the database</p>
                    </li>
                    <li>
                        <p>To a local drive or a shared space on your application server<br />You can choose either one or all of the above options to save the Analytics report.</p>
                    </li>
                </ul>
            </li>
        </ul>
        <div class="note" MadCap:autonum="&lt;b&gt;Note&lt;/b&gt;">
            <p class="note">Email is not triggered to control owners in absence of an email template.</p>
        </div>
        <h2 id="MergedViewandNon-MergedViewComparison-MergedandNon-mergedInterfaceFeatureComparison">Merged and Non-merged Interface Feature Comparison</h2>
        <p>The following table provides a comparison of features available in the merged interface and non-merged interfaces:</p>
        <div class="table-wrap">
            <table class="TableStyle-Default-Table" style="width: 100%;mc-table-style: url('../Resources/TableStyles/Default-Table.css');" cellspacing="0">
                <col style="width: 58.0px;" class="TableStyle-Default-Table-Column-Column1" />
                <col style="width: 369.0px;" class="TableStyle-Default-Table-Column-Column1" />
                <col style="width: 174.0px;" class="TableStyle-Default-Table-Column-Column1" />
                <col style="width: 155.0px;" class="TableStyle-Default-Table-Column-Column1" />
                <thead>
                    <tr class="TableStyle-Default-Table-Head-Header1">
                        <th class="TableStyle-Default-Table-HeadE-Column1-Header1">SI.NO</th>
                        <th class="TableStyle-Default-Table-HeadE-Column1-Header1">Feature</th>
                        <th class="TableStyle-Default-Table-HeadE-Column1-Header1">Non-merged interface</th>
                        <th class="TableStyle-Default-Table-HeadD-Column1-Header1">Merged Interface</th>
                    </tr>
                </thead>
                <tbody>
                    <tr class="TableStyle-Default-Table-Body-Body1">
                        <td rowspan="2" class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <ol>
                                <li>
                                    <p>&#160;</p>
                                </li>
                            </ol>
                        </td>
                        <td class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p class="table-text">Separate pages to show analytics configurations for V1 and V2 Analytics controls</p>
                        </td>
                        <td class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p style="text-align: center;" class="table-text">Yes</p>
                        </td>
                        <td class="TableStyle-Default-Table-BodyD-Column1-Body1">
                            <p>&#160;</p>
                        </td>
                    </tr>
                    <tr class="TableStyle-Default-Table-Body-Body1">
                        <td class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p class="table-text">Single page to show all analytics configurations</p>
                        </td>
                        <td class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p>&#160;</p>
                        </td>
                        <td class="TableStyle-Default-Table-BodyD-Column1-Body1">
                            <p style="text-align: center;" class="table-text">Yes</p>
                        </td>
                    </tr>
                    <tr class="TableStyle-Default-Table-Body-Body1">
                        <td rowspan="2" class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p class="table-text">2.</p>
                        </td>
                        <td class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p class="table-text">Three query options specific to V1 and V2 Analytics controls</p>
                        </td>
                        <td class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p style="text-align: center;" class="table-text">Yes</p>
                        </td>
                        <td class="TableStyle-Default-Table-BodyD-Column1-Body1">
                            <p>&#160;</p>
                        </td>
                    </tr>
                    <tr class="TableStyle-Default-Table-Body-Body1">
                        <td class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p class="table-text">Four query options to write query for creating Analytics controls</p>
                        </td>
                        <td class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p>&#160;</p>
                        </td>
                        <td class="TableStyle-Default-Table-BodyD-Column1-Body1">
                            <p style="text-align: center;" class="table-text">Yes</p>
                        </td>
                    </tr>
                    <tr class="TableStyle-Default-Table-Body-Body1">
                        <td rowspan="2" class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p class="table-text">3.</p>
                        </td>
                        <td class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p class="table-text">Separate Run all analytics jobs in the <strong>Job Control Panel</strong> for running all V1 and V2 Analytics reports in a single instance</p>
                        </td>
                        <td class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p style="text-align: center;" class="table-text">Yes</p>
                        </td>
                        <td class="TableStyle-Default-Table-BodyD-Column1-Body1">
                            <p>&#160;</p>
                        </td>
                    </tr>
                    <tr class="TableStyle-Default-Table-Body-Body1">
                        <td class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p class="table-text">Single Run all analytics job in the <strong>Job Control Panel</strong> for running all Analytics reports in a single instance</p>
                        </td>
                        <td class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p>&#160;</p>
                        </td>
                        <td class="TableStyle-Default-Table-BodyD-Column1-Body1">
                            <p style="text-align: center;" class="table-text">Yes</p>
                        </td>
                    </tr>
                    <tr class="TableStyle-Default-Table-Body-Body1">
                        <td rowspan="2" class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p class="table-text">4.</p>
                        </td>
                        <td class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p class="table-text">Separate pages to assign V1 and V2 analytics controls for SAV Roles</p>
                        </td>
                        <td class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p style="text-align: center;" class="table-text">Yes</p>
                        </td>
                        <td class="TableStyle-Default-Table-BodyD-Column1-Body1">
                            <p>&#160;</p>
                        </td>
                    </tr>
                    <tr class="TableStyle-Default-Table-Body-Body1">
                        <td class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p class="table-text">Single page to assign V1 and V2 analytics controls for SAV Roles</p>
                        </td>
                        <td class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p>&#160;</p>
                        </td>
                        <td class="TableStyle-Default-Table-BodyD-Column1-Body1">
                            <p style="text-align: center;" class="table-text">Yes</p>
                        </td>
                    </tr>
                    <tr class="TableStyle-Default-Table-Body-Body1">
                        <td class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p class="table-text">5.</p>
                        </td>
                        <td class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p class="table-text">Migrate analytics data from V1 to V2</p>
                        </td>
                        <td class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p style="text-align: center;" class="table-text">Yes</p>
                        </td>
                        <td class="TableStyle-Default-Table-BodyD-Column1-Body1">
                            <p style="text-align: center;" class="table-text">Yes</p>
                        </td>
                    </tr>
                    <tr class="TableStyle-Default-Table-Body-Body1">
                        <td class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p class="table-text">6.</p>
                        </td>
                        <td class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p class="table-text">Append Display Name for migrated V1 data with numeric suffix</p>
                        </td>
                        <td class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p style="text-align: center;" class="table-text">Yes</p>
                        </td>
                        <td class="TableStyle-Default-Table-BodyD-Column1-Body1">
                            <p style="text-align: center;" class="table-text">Yes</p>
                        </td>
                    </tr>
                    <tr class="TableStyle-Default-Table-Body-Body1">
                        <td class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p class="table-text">7.</p>
                        </td>
                        <td class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p class="table-text">Trigger emails to control owners in absence of an email template using the values defined in the <strong>Notify on Risk</strong>, <strong>Notify on Category</strong> or <strong>Notify on Endpoint</strong> global configurations.</p>
                        </td>
                        <td class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p style="text-align: center;" class="table-text">Yes</p>
                        </td>
                        <td class="TableStyle-Default-Table-BodyD-Column1-Body1">
                            <p>&#160;</p>
                        </td>
                    </tr>
                    <tr class="TableStyle-Default-Table-Body-Body1">
                        <td class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p class="table-text">8.</p>
                        </td>
                        <td class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p class="table-text">Specify or modify Display Name for Analytics report</p>
                        </td>
                        <td class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p>&#160;</p>
                        </td>
                        <td class="TableStyle-Default-Table-BodyD-Column1-Body1">
                            <p style="text-align: center;" class="table-text">Yes</p>
                        </td>
                    </tr>
                    <tr class="TableStyle-Default-Table-Body-Body1">
                        <td rowspan="3" class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p class="table-text">9.</p>
                        </td>
                        <td class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p class="table-text">Define dynamic attributes at run-time</p>
                        </td>
                        <td class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p style="text-align: center;" class="table-text">Yes</p>
                        </td>
                        <td class="TableStyle-Default-Table-BodyD-Column1-Body1">
                            <p style="text-align: center;" class="table-text">Yes</p>
                        </td>
                    </tr>
                    <tr class="TableStyle-Default-Table-Body-Body1">
                        <td class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p class="table-text">Choose a date value using date picker at run-time</p>
                        </td>
                        <td class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p>&#160;</p>
                        </td>
                        <td class="TableStyle-Default-Table-BodyD-Column1-Body1">
                            <p style="text-align: center;" class="table-text">Yes</p>
                        </td>
                    </tr>
                    <tr class="TableStyle-Default-Table-Body-Body1">
                        <td class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p class="table-text">Choose a value from the drop-down list based on Single select SQL query at run-time</p>
                        </td>
                        <td class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p>&#160;</p>
                        </td>
                        <td class="TableStyle-Default-Table-BodyD-Column1-Body1">
                            <p style="text-align: center;" class="table-text">Yes</p>
                        </td>
                    </tr>
                    <tr class="TableStyle-Default-Table-Body-Body1">
                        <td rowspan="2" class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p class="table-text">10.</p>
                        </td>
                        <td class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p class="table-text">Send Analytics report via email and save the Analytics report in the Elasticsearch server or database by default.</p>
                        </td>
                        <td class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p style="text-align: center;" class="table-text">Yes</p>
                        </td>
                        <td class="TableStyle-Default-Table-BodyD-Column1-Body1">
                            <p>&#160;</p>
                        </td>
                    </tr>
                    <tr class="TableStyle-Default-Table-Body-Body1">
                        <td class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p class="table-text">Send Analytics report via email or optionally save the Analytics report in the Elasticsearch server or database.</p>
                        </td>
                        <td class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p>&#160;</p>
                        </td>
                        <td class="TableStyle-Default-Table-BodyD-Column1-Body1">
                            <p style="text-align: center;" class="table-text">Yes</p>
                        </td>
                    </tr>
                    <tr class="TableStyle-Default-Table-Body-Body1">
                        <td class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p class="table-text">11.</p>
                        </td>
                        <td class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p class="table-text">Save Analytics report in your computer or a shared space on your application server.</p>
                        </td>
                        <td class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p>&#160;</p>
                        </td>
                        <td class="TableStyle-Default-Table-BodyD-Column1-Body1">
                            <p style="text-align: center;" class="table-text">Yes</p>
                        </td>
                    </tr>
                    <tr class="TableStyle-Default-Table-Body-Body1">
                        <td class="TableStyle-Default-Table-BodyB-Column1-Body1">
                            <p class="table-text">12.</p>
                        </td>
                        <td class="TableStyle-Default-Table-BodyB-Column1-Body1">
                            <p class="table-text">Schedule personalized runtime analytics reports</p>
                        </td>
                        <td class="TableStyle-Default-Table-BodyB-Column1-Body1">
                            <p style="text-align: center;" class="table-text">No</p>
                        </td>
                        <td class="TableStyle-Default-Table-BodyA-Column1-Body1">
                            <p style="text-align: center;" class="table-text">Yes</p>
                        </td>
                    </tr>
                </tbody>
            </table>
        </div>
        <p>&#160;</p>
    </body>
</html>